using UnityEngine;
using System.Collections;

public class Destroy : MonoBehaviour 
{
	public bool detachChildren = false;
	public float deathClock = 5; 
	void Start () 
	{
		if(detachChildren)
			transform.DetachChildren();
		Destroy(gameObject, deathClock);
	}

}
